<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>Library</OutputType>
    <TargetFramework>netcoreapp2.2</TargetFramework>
    <CodeAnalysisRuleSet>..\..\root.ruleset</CodeAnalysisRuleSet>
    <RootNamespace>Monosoft.Service.XSLT</RootNamespace>
    <ApplicationIcon />
    <StartupObject />
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.CodeAnalysis.FxCopAnalyzers" Version="2.9.7">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="StyleCop.Analyzers" Version="1.1.118">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="System.Data.SQLite.Core" Version="1.0.111" />
  </ItemGroup>

  <ItemGroup>
    <Reference Include="ITUtil.Common.Utils">
      <HintPath>..\..\precompile\debug\ITUtil.Common.Utils.dll</HintPath>
    </Reference>
  </ItemGroup>

</Project>
